# WallPyper

WallPyPer - is small utility, work via 
[foo-Wallpaper-Feh-Gif ](https://github.com/thomas10-10/foo-Wallpaper-Feh-Gif) and [feh](https://github.com/derf/feh).

[](https://user-images.githubusercontent.com/51211371/177040973-fca8885d-167e-4945-a4b6-48336e92e3c1.gif)

WallPyPer can work with images and gifs.

## Install

Dependencies:

* [feh](https://github.com/derf/feh)                                
* [foo-Wallpaper-Feh-Gif ](https://github.com/thomas10-10/foo-Wallpaper-Feh-Gif)  
* [pytomlpp](https://github.com/bobfang1992/pytomlpp)

**feh** is most likely already in your list of repositories.

Debiadn/Ubuntu:
```
sudo apt install feh
```
Arch:
```
pacman -S feh
```

---

**foo-Wallpaper-feh-gif** is just bash script, you can download it [here](https://github.com/thomas10-10/foo-Wallpaper-Feh-Gif/blob/master/back4.sh)
```
curl -L https://raw.githubusercontent.com/thomas10-10/foo-Wallpaper-Feh-Gif/master/install.sh | bash 
```

---

Install pytomlpp
```
pip install pytomlpp
```

---

Then download WallPyPer and install it.
```
git clone https://github.com/KarimullinArthur/WallPyPer.git

cd WallPyPer

chmod +x install.sh

./install.sh
```

## Configuration

Create conifg in *~/.config/wallpyper/config*

Example:
```
# WallPyPer

default_theme = "main"

[new]
type = "static"
random = true
path = "~/.bg/"

[main]
type = "static"
url = "~/.bg/1.jpg"

[dynamic]
type = "dynamic"
path = "~/.bg/"
delay = "10:00"
``` 

## Auto Start

For **i3wm** add in your ~/.conifg/i3/config one string:
```
exec wallpyper
```